06-24-15 03:48 PM
421 ... 7891011 ...
tools
  1. Samer Moujaes's Avatar
    I'm unable to get to the Settings because I cannot get past the attack stage in the "tutorial" on my Q10. However you might try loading this patched version of Clash of Clans https://mega.co.nz/#!Dh4nhDBT!EnvtBB...4nIVw_YNiXANto
    Install Google Play services from this thread as well.
    I loaded up your patch, it kept saying initializing and then just closes :s
    What do i have to do?
    11-22-13 01:48 PM
  2. lord_hibiskus's Avatar
    Installed #7 post apks but I can't sync Gmail, however latest Gmail apk from play store works and I can see it syncs mail but it shuts down after 1 second. Any ideas?

    Posted via CB10
    11-23-13 02:49 AM
  3. Cobalt232's Avatar
    Moneytoo, have you tried to compile a modified Google Play Version 4.x? I get a bunch of errors during compilation of the ressources.

    Code:
    Exception in thread "main" brut.androlib.AndrolibException: brut.androlib.AndrolibException: brut.common.BrutException: could not exec command: [aapt, p, --min-sdk-version, 9, --target-sdk-version, 18, -F, /var/folders/3t/wrnw8kyx7g35dqshdrw3_njw0000gn/T/APKTOOL8671325397151672325.tmp, -0, arsc, -I, /Users/administrator/Library/apktool/framework/1.apk, -S, /Users/administrator/Desktop/apkmanager/projects/com.google.android.gms-22.11.13.apk/res, -M, /Users/administrator/Desktop/apkmanager/projects/com.google.android.gms-22.11.13.apk/AndroidManifest.xml]
    	at brut.androlib.Androlib.buildResourcesFull(Androlib.java:358)
    	at brut.androlib.Androlib.buildResources(Androlib.java:283)
    	at brut.androlib.Androlib.build(Androlib.java:206)
    	at brut.androlib.Androlib.build(Androlib.java:176)
    	at brut.apktool.Main.cmdBuild(Main.java:228)
    	at brut.apktool.Main.main(Main.java:79)
    Caused by: brut.androlib.AndrolibException: brut.common.BrutException: could not exec command: [aapt, p, --min-sdk-version, 9, --target-sdk-version, 18, -F, /var/folders/3t/wrnw8kyx7g35dqshdrw3_njw0000gn/T/APKTOOL8671325397151672325.tmp, -0, arsc, -I, /Users/administrator/Library/apktool/framework/1.apk, -S, /Users/administrator/Desktop/apkmanager/projects/com.google.android.gms-22.11.13.apk/res, -M, /Users/administrator/Desktop/apkmanager/projects/com.google.android.gms-22.11.13.apk/AndroidManifest.xml]
    	at brut.androlib.res.AndrolibResources.aaptPackage(AndrolibResources.java:357)
    	at brut.androlib.Androlib.buildResourcesFull(Androlib.java:336)
    	... 5 more
    
    /Users/administrator/Desktop/apkmanager/projects/com.google.android.gms-22.11.13.apk/res/values/styles.xml:61: error: Error retrieving parent for item: No resource found that matches the given name 'Widget.AppCompat.Base'.
    As you used Google Play V3 you may not have encountered these problems. Any suggestions or workarounds for this?
    11-23-13 09:08 AM
  4. aceltradegid's Avatar
    Hello!
    I see «failure 500 'Package-Id'» In the end of installing GoogleLoginService.apk and Google Play services 3.2.66 (845709-36).apk that I installed with extention for Chrome. How I may make it work?
    11-23-13 11:06 AM
  5. ATV_Hightower's Avatar
    you can only install .bar files via chrome. If you are using the latest leak 10.2.1.1055 put the .apk files on you phone and install it directly
    11-24-13 10:58 AM
  6. aceltradegid's Avatar
    Thanks, I installed. But after login in my account (in GoogleLoginService) I get wrong which means that app can't get access to Google's servers.

    Posted via CB10
    11-24-13 11:38 PM
  7. MyFirstOwnUsername's Avatar
    latest Play App Store from Cyanogenmod already opens but does not get any internet connection/can't display apps. I guess the GoogleServicesFramework.apk is missing, and as OP stated can't be installed.
    Hope someone can find a workaround or patch the Play Store somehow...
    11-25-13 09:06 AM
  8. Cobalt232's Avatar
    Moneytoo, have you tried to compile a modified Google Play Version 4.x? I get a bunch of errors during compilation of the ressources.

    Code:
    Exception in thread "main" brut.androlib.AndrolibException: brut.androlib.AndrolibException: brut.common.BrutException: could not exec command: 
    [aapt, p, --min-sdk-version, 9, --target-sdk-version, 18, -F, /var/folders/3t/wrnw8kyx7g35dqshdrw3_njw0000gn/T/APKTOOL8671325397151672325.tmp, -0, 
    arsc, -I, /Users/administrator/Library/apktool/framework/1.apk, -S, /Users/administrator/Desktop/apkmanager/projects/com.google.android.gms-22.11.13.apk/res, 
    -M, /Users/administrator/Desktop/apkmanager/projects/com.google.android.gms-22.11.13.apk/AndroidManifest.xml]
    	at brut.androlib.Androlib.buildResourcesFull(Androlib.java:358)
    	at brut.androlib.Androlib.buildResources(Androlib.java:283)
    	at brut.androlib.Androlib.build(Androlib.java:206)
    	at brut.androlib.Androlib.build(Androlib.java:176)
    	at brut.apktool.Main.cmdBuild(Main.java:228)
    	at brut.apktool.Main.main(Main.java:79)
    Caused by: brut.androlib.AndrolibException: brut.common.BrutException: could not exec command: [aapt, p, --min-sdk-version, 9, --target-sdk-version, 
    18, -F, /var/folders/3t/wrnw8kyx7g35dqshdrw3_njw0000gn/T/APKTOOL8671325397151672325.tmp, -0, arsc, -I, /Users/administrator/Library/apktool/framework/1.apk, 
    -S, /Users/administrator/Desktop/apkmanager/projects/com.google.android.gms-22.11.13.apk/res, -M, /Users/administrator/Desktop/apkmanager/projects/
    com.google.android.gms-22.11.13.apk/AndroidManifest.xml]
    	at brut.androlib.res.AndrolibResources.aaptPackage(AndrolibResources.java:357)
    	at brut.androlib.Androlib.buildResourcesFull(Androlib.java:336)
    	... 5 more
    
    /Users/administrator/Desktop/apkmanager/projects/com.google.android.gms-22.11.13.apk/res/values/styles.xml:61: error: Error retrieving parent for item: 
    No resource found that matches the given name 'Widget.AppCompat.Base'.
    As you used Google Play V3 you may not have encountered these problems. Any suggestions or workarounds for this?

    SOLVED! I just had to decompile with option -r so that the recources would not have to be recompiled. All good.
    Last edited by Cobalt232; 11-26-13 at 03:35 PM.
    11-25-13 04:33 PM
  9. dustmalik's Avatar
    SOLVED! I just had to decompile with option -r so that the recources would not have to be recompiled. All good.
    Would you mind sharing the apk?

    Posted via CB10 using my Gorgeous Z10
    11-25-13 04:47 PM
  10. ATV_Hightower's Avatar
    @Cobalt232
    Hey, nice that you solved your problem.
    Which apps depend on google play service 4? Whats the big benefit and would you share your apk?
    11-25-13 04:48 PM
  11. Cobalt232's Avatar
    @Cobalt232
    Hey, nice that you solved your problem.
    Which apps depend on google play service 4? Whats the big benefit and would you share your apk?
    Well, Google Play Services include the new Google Maps framework which is used for various Google Apps as Google Earth and Google MyTracks. I modified these apps to work on BB.
    Please note that I'm on 10.2.1.1055 (SW176) and these packages may not work with older OS releases. I didn't include the Google Account fix, because this never worked with my 10.2.1 runtime.

    Give it a try:

    Google Play Service:
    ownCloud

    Google MyTracks
    ownCloud

    Google Earth
    ownCloud
    Ruslan Botsyurko likes this.
    11-26-13 12:36 PM
  12. Utkarsh's Avatar
    Which version of Google Maps are you using ? Can you share that too ? v7 dsnt work well on mine. Unable to zoom and pan, and it sometimes just freezes. Using v6 as of now. Maybe it might work after your fix
    11-26-13 08:46 PM
  13. kadzie's Avatar
    interesting, are you able to get Adidas Mi Coach working?
    11-27-13 02:30 AM
  14. GuZuRa's Avatar
    Well, Google Play Services include the new Google Maps framework which is used for various Google Apps as Google Earth and Google MyTracks. I modified these apps to work on BB.
    Please note that I'm on 10.2.1.1055 (SW176) and these packages may not work with older OS releases. I didn't include the Google Account fix, because this never worked with my 10.2.1 runtime.

    Give it a try:

    Google Play Service:
    ownCloud

    Google MyTracks
    ownCloud

    Google Earth
    ownCloud
    Hi tried converting Google Play Service apk with the debug token method but when sideloading with chrome extension it gives me back an error -8. Doesn't know exactly what it means. Would you mind provide even the BAR file? I'm on the 10.2.0.494 Official Update.

    Thank you very much!!

    G.
    11-27-13 05:13 AM
  15. Cobalt232's Avatar
    Try this: Google Play Services

    Though I'm almost sure this will not work with your runtime...
    GuZuRa likes this.
    11-27-13 07:58 AM
  16. Cobalt232's Avatar
    interesting, are you able to get Adidas Mi Coach working?
    I looked into this app. I believe, that it uses to many custom library calls to work on 10.2.1 or 10.2.0.
    11-27-13 08:00 AM
  17. GuZuRa's Avatar
    Try this: Google Play Services

    Though I'm almost sure this will not work with your runtime...
    Thanks, unfortunately same error when sideloading (error -8). The strange thing is that the GooglePlayServices file posted by Moneytoo (version 4.0.31 (900295-36)) works well. By the way my only intention is to try to make work this app (https://play.google.com/store/apps/d....android&hl=it) that needs Google Play Services but whenever I open it it gives me an error like: the Google Play Services platform is not supported by your device... blah blah blah...). Weird thing: Gmaps, Gmail, MyTraks... all of them are working well.

    Any help on this would be really appreciated.

    Thanks a lot

    G.

    EDIT: Tried converting and installing Google Search (last version from the Google Play Market) and it gives me the same error (this app requires Google Play Services that is not supported by your device.... blah blah). Is there a way to fix this? Maybe using the last version of Google Play Services? Thanks a lot again...

    EDIT2: Done some other tests: it seems that all the Gapps that requires sync with my google account (GMAIL, MAPS, and so on) are working well but whenever some app calls the Google Play Services app (even the one posted by Moneytoo that I can install) there I see the error. So here is another question: does someone managed to make one app that requires Google Play Services work properly?
    Last edited by GuZuRa; 11-27-13 at 08:53 AM.
    11-27-13 08:27 AM
  18. kfroese's Avatar
    I looked into this app. I believe, that it uses to many custom library calls to work on 10.2.1 or 10.2.0.
    I got miCoach working on my Q with 10.2.1.1055 using miCoach version 2.1.1.3288. Seems to work fairly well although I haven't tried it with the interval coaching yet - that's tomorrow's experiment. I couldn't get the latest version to work.
    11-27-13 10:21 AM
  19. Cobalt232's Avatar
    Thanks, unfortunately same error when sideloading (error -8). The strange thing is that the GooglePlayServices file posted by Moneytoo (version 4.0.31 (900295-36)) works well.
    By the way my only intention is to try to make work this app (https://play.google.com/store/apps/d....android&hl=it) that needs Google Play Services but whenever I
    open it it gives me an error like: the Google Play Services platform is not supported by your device... blah blah blah...). Weird thing: Gmaps, Gmail, MyTraks... all of them are working well.

    Any help on this would be really appreciated.
    Looked into your Fanta app and removed the Google Play checks. Give it a try:
    Fantaclub

    Use the Google Play Services from Moneytoo. If you tried to install different Versions of Google Play Services you should do a reboot to settle things in the runtime.

    BTW: I use Google Maps 7.4.0. It works right out of the box on 10.2.1. Just download with Snap (requires GSF ID) or DroidStore
    GuZuRa likes this.
    11-27-13 11:00 AM
  20. GuZuRa's Avatar
    Looked into your Fanta app and removed the Google Play checks. Give it a try:
    Fantaclub

    Use the Google Play Services from Moneytoo. If you tried to install different Versions of Google Play Services you should do a reboot to settle things in the runtime.

    BTW: I use Google Maps 7.4.0. It works right out of the box on 10.2.1. Just download with Snap (requires GSF ID) or DroidStore
    Thanks a lot. I'll give it a try asap. This forum is THE real plus for BlackBerry.

    EDIT: WOWOWOWOWOWOW IT'S WORKING PERFECTLY!!!!!!!!! THANK YOU VERY VERY VERY MUCH!!!! You're really GREAT!!!

    G.



    Posted via CB10
    Last edited by GuZuRa; 11-28-13 at 02:27 AM.
    11-28-13 01:09 AM
  21. garnet_ribbons's Avatar
    I loaded up your patch, it kept saying initializing and then just closes :s
    What do i have to do?
    Samer did you ever manage to get it to work?

    Posted via CB10
    12-01-13 03:39 AM
  22. Samer Moujaes's Avatar
    Samer did you ever manage to get it to work?

    Posted via CB10
    Nope, still same problem, I reinstalled the regular one ( without the patch) and it worked fine ( still can't login though)

    Posted via my Solid Q10!
    garnet_ribbons likes this.
    12-01-13 04:31 AM
  23. citystars41's Avatar
    Nope, still same problem, I reinstalled the regular one ( without the patch) and it worked fine ( still can't login though)

    Posted via my Solid Q10!
    Samer, is there a way to backup the game for when you update software?

    Posted via CB10
    12-01-13 01:56 PM
  24. garnet_ribbons's Avatar
    Hi Citystars, if you perform a data backup via BB Link it'll save the unique identifier. I thankfully had a backup when I accidentally deleted CoC and was able to restore it.

    Samer - that's a shame, thanks for trying though. Fingers crossed one day we'll be able to login in (and then I can buy some extra builders huts!)
    citystars41 likes this.
    12-03-13 06:26 AM
  25. citystars41's Avatar
    Hi Citystars, if you perform a data backup via BB Link it'll save the unique identifier. I thankfully had a backup when I accidentally deleted CoC and was able to restore it.
    That's awesome. Good to know when needing to reload an os. Did you have to side load the game before restoring?


    Posted via CB10
    12-03-13 11:53 AM
421 ... 7891011 ...

Similar Threads

  1. Easy way to Hard reset
    By Powdah in forum BlackBerry PlayBook OS
    Replies: 2
    Last Post: 01-30-14, 01:50 PM
  2. Not able to receive texts on my playbook
    By loveallblackberry in forum BlackBerry PlayBook
    Replies: 2
    Last Post: 10-28-13, 08:40 AM
  3. Offline Dictionary App?
    By BB10QNX in forum BlackBerry 10 Apps
    Replies: 6
    Last Post: 10-27-13, 12:07 PM
  4. Updated to BB10.2 - Where to DELETE vpn certificates?
    By gawd0wns in forum BlackBerry 10 OS
    Replies: 2
    Last Post: 10-27-13, 08:17 AM
  5. How to get OS 10.2
    By Tricio De Costo in forum BlackBerry Z10
    Replies: 2
    Last Post: 10-26-13, 06:26 PM
LINK TO POST COPIED TO CLIPBOARD